Skip to main content
PUT
/
api
/
v1
/
billables
/
{billableId}
Update billable
curl --request PUT \
  --url https://api.contracting.kukkingu.software/api/v1/billables/{billableId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'tenant-id: <tenant-id>' \
  --data '
{
  "description": "Monthly subscription for service X.",
  "quantity": 10,
  "amountMinor": 5000,
  "currencyCode": "EUR",
  "order": 13,
  "referenceType": "JIRA",
  "referenceId": "PROJ-123",
  "metadata": {
    "project": "Alpha",
    "priority": "High"
  }
}
'
{
  "data": {
    "id": "bil_eym9hcqlh1m7v3d36blf0vfx",
    "invoice": "inv_mqxd1kc6bgtcc676xoqzax47",
    "description": "Monthly subscription for service X.",
    "quantity": 10,
    "amountMinor": 5000,
    "currencyCode": "EUR",
    "createdAt": "2023-10-05T14:48:00.000Z",
    "updatedAt": "2023-10-05T14:48:00.000Z",
    "referenceType": "JIRA",
    "referenceId": "PROJ-123",
    "metadata": {
      "project": "Alpha",
      "priority": "High"
    },
    "order": 13
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

tenant-id
string
required

Specifies the tenant context for the request. All endpoints operate within this tenant scope.

Example:

"tnt_pfh0haxfpzowht3oi213cqos"

Path Parameters

billableId
string
required

Unique identifier of the billable.

Example:

"bil_eym9hcqlh1m7v3d36blf0vfx"

Body

application/json

Request body used to fully replace a billable resource.

Request body used to fully replace a billable resource.

description
string
required

Description of the billable.

Example:

"Monthly subscription for service X."

quantity
number
required

Quantity of items.

Required range: x >= 0
Example:

10

amountMinor
integer
required

Amount expressed in the minor unit (e.g., cents).

Required range: 0 <= x <= 9007199254740991
Example:

5000

currencyCode
string
required

ISO 4217 currency code.

Required string length: 3
Example:

"EUR"

order
integer
required

Order of the resource for sorting purposes.

Required range: 0 <= x <= 9007199254740991
Example:

13

referenceType
string

Optional Billable Reference Type of the external system (e.g. JIRA, Github, etc.).

Example:

"JIRA"

referenceId
string

Optional Billable Reference ID in the external system.

Example:

"PROJ-123"

metadata
object

Optional metadata associated with the billable.

Example:
{ "project": "Alpha", "priority": "High" }

Response

Default Response

Standard success response payload wrapped in a data property.

data
object
required

Billable resource returned by the API.